Delete an entry from a directory

- « ldap_delete_ext

- ldap_dn2ufn »

- PHP Manual
- LDAP Functions
- Delete an entry from a directory

# ldap_delete

(PHP 4, PHP 5, PHP 7, PHP 8)

ldap_delete — Delete an entry from a directory

### Description

ldap_delete(LDAP\Connection `$ldap`, string `$dn`, ?array `$controls` = `null`): bool

Deletes a particular entry in LDAP directory.

### Parameters

`ldap`

  An LDAP\Connection instance, returned by ldap_connect().

`dn`

  The distinguished name of an LDAP entity.

`controls`

  Array of LDAP Controls to send with the request.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ldap` parameter expects an LDAP\Connection instance now; previously, a valid `ldap link` resource was expected.
8.0.0 | `controls` is nullable now; previously, it defaulted to `[]`.
7.3.0 | Support for `controls` added

### See Also

- ldap_delete_ext() - Delete an entry from a directory
- ldap_add() - Add entries to LDAP directory